%define apachebase %sysconfdir/httpd
%define apacheroot /var/www
%define oldapacheroot /home/httpd
%define phpdir %_libdir/php
%define phpdoc_lang en

Name: php-manual-%phpdoc_lang
Version: 4.3.0
Release: alt1
Group: Development/Other
Serial: 1
License: GNU GPL
Group: System/Servers
Summary: On-line manual for PHP4
Summary(ru_RU.CP1251):	   PHP4
Obsoletes: mod_php3-manual
Requires: php-common >= %version
# Automatically added by buildreq on Mon Feb 03 2003
BuildRequires: docbook-dtds docbook-style-xsl libexpat libmm openjade php

Source: %name-%version.tar.bz2
#Patch: php-manual.patch

%description
The php-manual package provides comprehensive documentation for the
PHP4 HTML-embedded scripting language, in HTML format.

%prep
%setup -q
#pushd manual
#%patch -p0
#popd

%build
pushd manual
autoconf
./configure \
    --with-xsl=%_datadir/xml/docbook/xsl-stylesheets \
    --with-treesaving \
    --with-lang=%phpdoc_lang \
    --with-zendapi=../ZendAPI

make html howto
popd

%install
%__mkdir_p %buildroot%_defaultdocdir/php-manual-%version/%phpdoc_lang
%__mv -f manual/html %buildroot%_defaultdocdir/php-manual-%version/%phpdoc_lang/doc
%__mv -f manual/howto/html %buildroot%_defaultdocdir/php-manual-%version/%phpdoc_lang/howto
%__cp -f manual/*.txt %buildroot%_defaultdocdir/php-manual-%version/%phpdoc_lang
%__cp -f manual/{LICENSE,README,TODO} %buildroot%_defaultdocdir/php-manual-%version/%phpdoc_lang

%clean

%post
ln -s %_defaultdocdir/php-manual-%version/%phpdoc_lang %apacheroot/html/addon-modules/php-manual-%phpdoc_lang
chown apache.apache %apacheroot/html/addon-modules/php-manual-%phpdoc_lang

%postun
rm -f %apacheroot/html/addon-modules/php-manual-%phpdoc_lang
rm -rf %_defaultdocdir/php-manual-%version/%phpdoc_lang
list=`ls %_defaultdocdir/php-manual-%version`
if [ -z "$list" ]; then
  rm -rf %_defaultdocdir/php-manual-%version
fi

%files
%dir %_defaultdocdir/php-manual-%version/%phpdoc_lang
%dir %_defaultdocdir/php-manual-%version/%phpdoc_lang/doc
%dir %_defaultdocdir/php-manual-%version/%phpdoc_lang/howto
%_defaultdocdir/php-manual-%version/%phpdoc_lang/*

%changelog
* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt1
- 4.3.0
- package splited into separate localized packages

* Fri Mar 01 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt1
- Initial build
- 4.1.2

